Technical Debt
Closed, ResolvedPublic

Description

In this Hackathon session we will be discussing software Technical Debt.

Areas of discussions include:

  • Defining Technical Debt
  • Approaches to reducing existing technical debt
  • Minimizing the accrual of new technical debt

As an hour isn't a lot of time to cover Technical Debt in depth, the number of topics we cover will depend largely on how much discussion occurs.

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jrbranaa triaged this task as Normal priority.May 18 2018, 12:01 PM

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

Jrbranaa closed this task as Resolved.May 23 2018, 5:54 PM
Vvjjkkii renamed this task from Technical Debt to hscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Jrbranaa as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot assigned this task to Jrbranaa.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from hscaaaaaaa to Technical Debt.
CommunityTechBot added a subscriber: Aklapper.